<?xml version="1.0" encoding="UTF-8"?>
<configuration>

    <appender name="LogAllFile" class="ch.qos.logback.core.rolling.RollingFileAppender">
        <file>/tmp/clustering-ui-all.log</file>
        <append>true</append>
        <encoder>
            <pattern>%date %level [%thread] [%file:%line] %msg%n</pattern>
        </encoder>
        <filter class="ch.qos.logback.classic.filter.ThresholdFilter">
            <level>DEBUG</level>
        </filter>
        <rollingPolicy class="ch.qos.logback.core.rolling.SizeAndTimeBasedRollingPolicy">
            <fileNamePattern>/tmp/clustering-ui-all-%d{yyyy-MM-dd_HH}.%i.log</fileNamePattern>
            <maxFileSize>10MB</maxFileSize>
            <maxHistory>2</maxHistory>
            <totalSizeCap>40MB</totalSizeCap>
        </rollingPolicy>
    </appender>
    <appender name="LogInfoFile" class="ch.qos.logback.core.rolling.RollingFileAppender">
        <file>/tmp/clustering-ui-info.log</file>
        <append>true</append>
        <encoder>
            <pattern>%date %level [%thread] [%file:%line] %msg%n</pattern>
        </encoder>
        <filter class="ch.qos.logback.classic.filter.ThresholdFilter">
            <level>INFO</level>
        </filter>
        <rollingPolicy class="ch.qos.logback.core.rolling.SizeAndTimeBasedRollingPolicy">
            <fileNamePattern>/tmp/clustering-ui-info-%d{yyyy-MM-dd_HH}.%i.log</fileNamePattern>
            <maxFileSize>5MB</maxFileSize>
            <maxHistory>2</maxHistory>
            <totalSizeCap>20MB</totalSizeCap>
        </rollingPolicy>
    </appender>
    <appender name="LogWarnFile" class="ch.qos.logback.core.rolling.RollingFileAppender">
        <file>/tmp/clustering-ui-warn.log</file>
        <append>true</append>
        <encoder>
            <pattern>%date %level [%thread] [%file:%line] %msg%n</pattern>
        </encoder>
        <filter class="ch.qos.logback.classic.filter.ThresholdFilter">
            <level>WARN</level>
        </filter>
        <rollingPolicy class="ch.qos.logback.core.rolling.SizeAndTimeBasedRollingPolicy">
            <fileNamePattern>/tmp/clustering-ui-warn-%d{yyyy-MM-dd_HH}.%i.log</fileNamePattern>
            <maxFileSize>500KB</maxFileSize>
            <maxHistory>2</maxHistory>
            <totalSizeCap>2MB</totalSizeCap>
        </rollingPolicy>
    </appender>

    <appender name="Console" class="ch.qos.logback.core.ConsoleAppender">
        <encoder>
            <pattern>%highlight(%msg%n)</pattern>
        </encoder>
        <filter class="ch.qos.logback.classic.filter.ThresholdFilter">
            <level>INFO</level>
        </filter>
    </appender>

    <root level="INFO">
        <appender-ref ref="Console"/>
        <appender-ref ref="LogAllFile"/>
        <appender-ref ref="LogInfoFile"/>
        <appender-ref ref="LogWarnFile"/>
    </root>
</configuration>
